name: Ogrebattle64 (North America)
sha1: 9cd0cfb50b883edb068e0c30d213193b9cf89895
options:
  basename: ogrebattle64
  target_path: baserom.z64
  base_path: .
  compiler: GCC
  find_file_boundaries: True
  header_encoding: ASCII
  platform: n64
  # undefined_funcs_auto: True
  # undefined_funcs_auto_path: undefined_funcs_auto.txt
  # undefined_syms_auto: True
  # undefined_syms_auto_path: undefined_syms_auto.txt
  # symbol_addrs_path: symbol_addrs.txt
  # asm_path: asm
  # src_path: src
  # build_path: build
  # extensions_path: tools/splat_ext
  # mips_abi_float_regs: o32
  # section_order: [".text", ".data", ".rodata", ".bss"]
  # auto_all_sections: [".data", ".rodata", ".bss"]
  # libultra_symbols: True
  # hardware_regs: True
segments:
  - name: header
    type: header
    start: 0x0

  - name: boot
    type: bin
    start: 0x40

  - name: entry
    type: code
    start: 0x1000
    vram: 0x80070C00
    subsegments:
      - [0x1000, hasm]

  - name: main
    type: code
    start: 0x1060
    vram: 0x80070C60
    follows_vram: entry
    bss_size: 0x3AE70
    subsegments:
      - [0x1060, asm]
      - [0x2E570, data]
      - { start: 0x3F1B0, type: bss, vram: 0x800AEDB0 }

  - type: bin
    start: 0x3F1B0
    follows_vram: main
  - [0x2800000]
